/*
 * TismTool © Tis Veugen, 2010-2012
 * Application, Simulation, Verification
 *
 * TsmInterfacePort.h
 * version 2
 */
#ifndef TSM_INTERFACEPORT_H
#define TSM_INTERFACEPORT_H

#include "TsmBase.h"
#include "TsmPort.h"
#include "TsmClass.h"
#include "TsmProxyUser.h"
using namespace std;

namespace TsmRTE
{
  class TsmInterfacePort : public TsmBase
  {
  public:
    int       PortId;
    TsmPort*  Messager;
    TsmClass* Source;

    TsmInterfacePort()
      : PortId( -1 )
      , Messager( NULL )
      , Source( NULL )
    {
    }

    void SetProxyUser( TsmProxyUser* oProxyUser )
    {
      Messager->SetProxyUser( oProxyUser );
    }
  };
}
#endif
