/*
 * TismTool © Tis Veugen, 2010-2012
 * Simulation, Verification
 *
 * TsmPSPort.h
 * version 3
 */
#ifndef TSM_PSPORT_H
#define TSM_PSPORT_H

#include "TsmPort.h"
#include "TsmTrigger.h"

namespace TsmRTE
{
  /**
   * Passive Server Port
   */
  class TsmPSPort : public TsmPort
  {
  public:
    bool Handle( TsmTrigger* oTrigger )
    {
      Target->ExecuteTrigger( oTrigger );
      return true;
    }

    string ToSeq()
    {
      return "C";
    }
  };
}
#endif
