/*
 * TismTool © Tis Veugen, 2010-2012
 * Application, Simulation, Verification
 *
 * TsmProxyUser.h
 * version 1
 */
#ifndef TSM_PROXYUSER_H
#define TSM_PROXYUSER_H

#include "TsmClass.h"
using namespace std;

namespace TsmRTE
{
  class TsmProxyUser : public TsmClass
  {
  private:
    bool mProxyOk;

  public:
    bool IsProxyOk()
    {
      return mProxyOk;
    }

    bool IsProxyNok()
    {
      return ! mProxyOk;
    }

    void CbSetProxyOk()
    {
      mProxyOk = true;
    }

    void CbSetProxyNok()
    {
      mProxyOk = false;
    }

    bool IsTsmProxyUser()
    {
      return true;
    }
  };
}
#endif
